Subject: Re: [bitcoin-dev] Concern about "Inscriptions"

From: John Tromp <[email-masked]>
Date: Mon, 21 Aug 2023 18:28:50 +0200

> If we ban "arbitrary data", however you want to define it, then actors will
> simply respond by encoding their data within sets of public keys.  Public
> key data is indistinguishable from random data, and, unless we are willing
> to pad the blockchain with proof of knowledge of secret keys, there will be
> no way to tell a priori whether a given public key is really a public key
> or whether it is encoding an inscription or some other data.

Note that in the Mimblewimble protocol, range proofs already prove
knowledge of blinding factor in Pedersen commitments, and thus no
additional padding is needed there to prevent the encoding of spam
into cryptographic material. This makes pure MW blockchains the most
inscription/spam resistant [1].

[1] https://bitcointalk.org/index.php?topic=5437464.msg61980991#msg61980991